.net version

2018-07-11

The core assemblies of MDriven (Eco.Handles and Eco.Interfaces) were updated from .net4 to .net4.5

The main reason was the Transport Layer Security protocol (TLS) that replaced the legacy SSL protocol. TLS is in Azure, now defaulted to TLS1.2, and for us to support that, we need .net Framework 4.5

You may experience compilation errors if your solutions compile with .net versions older than 4.5

To fix this, update the .net Framework version to at least 4.5 on your projects.

2018-07-11 11h32 03.png

If you write code that suddenly does not want to connect with MDriven over HTTPS, then consider adding this initialization:

System.Net.ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls | SecurityProtocolType.Tls11 | SecurityProtocolType.Tls12;
This page was edited 21 days ago on 02/10/2024. What links here